LINUX.ORG.RU

Репозитории OpenSUSE 11.3


0

1

Включение в список репозиториев «Pacman repository» при апгрейде выдает следующие:

Repository 'Packman Repository' is up to date.
Repository 'Virtualization (openSUSE_Factory)' is up to date.
Repository 'libdvdcss' is up to date.
Repository 'openSUSE-11.3-Non-Oss' is up to date.
Repository 'openSUSE-11.3-Oss' is up to date.
Repository 'openSUSE-11.3-Update' is up to date.
All repositories have been refreshed.
~> sudo zypper update
Loading repository data...
Reading installed packages...

The following package updates will NOT be installed:
  gstreamer-0_10 gstreamer-0_10-plugin-gnomevfs gstreamer-0_10-plugin-hal 
  gstreamer-0_10-plugins-bad gstreamer-0_10-plugins-base 
  gstreamer-0_10-plugins-good gstreamer-0_10-utils gstreamer-utils 
  libgssdp-1_0-2 libgstapp-0_10-0 libgstbasevideo-0_10-0 
  libgstinterfaces-0_10-0 libgstphotography-0_10-0 libgstreamer-0_10-0 
  libgstsignalprocessor-0_10-0 libgupnp-1_0-3 libimobiledevice1 liborc-0_4-0 
  libplist1 libsamplerate libsndfile libwavpack1 mjpegtools perl-WWW-Curl 
  python-gstreamer-0_10 python-numpy rpmorphan taglib transmission-common 
  transmission-gtk 

The following NEW package is going to be installed:
  libx264-112 

The following packages are going to be upgraded:
  gmplayer libexiv2-6 libfaad2 MPlayer 

4 packages to upgrade, 1 new.
Overall download size: 15.8 MiB. After the operation, additional 683.0 KiB will 
be used.
Continue? [y/n/?] (y):
Что значит «will NOT be installed»? Не будет установлено. Что это за фраза такая?

Не будут установлены. Выстави приоритеты репозитариев в yast. Попробуй zypper dup.

keiner ()

эти пакеты требуют смены поставщика, в zypp.conf нужно разрешить смену поставщиков пакетов

Novell-ch ★★★★★ ()
Ответ на: комментарий от Novell-ch

> эти пакеты требуют смены поставщика, в zypp.conf нужно разрешить смену поставщиков пакетов
Где конкретно нужно ткнуть?

RacingRats ()

Не знаю как zypper, но в ГУИ менеджере пакетов можно явно указать откуда пакет ставить и если происходит смена поставщиков пакетов, он спрашивает, что делать....

F457 ★★★ ()
Ответ на: комментарий от RacingRats

/etc/zypp/zypp.conf

solver.allowVendorChange = true

или можно прописать доверенных поставщиков в /etc/zypp/vendors.d/vendors
вписать что-то типа
[main]
vendors = opensuse,obs,packman

Novell-ch ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.